Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.runtime
Interface KieContainer

    public interface KieContainer

A container for all the KieBases of a given KieModule

Method Summary
`ClassLoader` | `getClassLoader()` Returns the ClassLoader used by this KieContainer
`KieBase` | `getKieBase()` Returns the defualt KieBase in this KieContainer.
`KieBase` | `getKieBase(String kBaseName)` Returns the KieBase with the given name in this KieContainer.
`ReleaseId` | `getReleaseId()` Returns the ReleaseId of the KieModule wrapped by this KieContainer
`KieSession` | `newKieSession()` Creates the defualt KieSession for this KieContainer
`KieSession` | `newKieSession(Environment environment)` Creates the defualt KieSession for this KieContainer using the given Environment
`KieSession` | `newKieSession(String kSessionName)` Creates the KieSession with the given name for this KieContainer
`KieSession` | `newKieSession(String kSessionName, Environment environment)` Creates the KieSession with the given name for this KieContainer using the given Environment
`StatelessKieSession` | `newStatelessKieSession()` Creates the defualt StatelessKieSession for this KieContainer using the given Environment
`StatelessKieSession` | `newStatelessKieSession(String kSessionName)` Creates the StatelessKieSession with the given name for this KieContainer
`void` | `updateToVersion(ReleaseId version)` Updates this KieContainer to a KieModule with the given ReleaseId
`Results` | `verify()` Builds all the KieBase in the KieModule wrapped by this KieContainer and return te Results of this building process

Method Detail

### getReleaseId

    ReleaseId getReleaseId()

  Returns the ReleaseId of the KieModule wrapped by this KieContainer

### verify

    Results verify()

  Builds all the KieBase in the KieModule wrapped by this KieContainer and return te Results of this building process

### updateToVersion

    void updateToVersion(ReleaseId version)

  Updates this KieContainer to a KieModule with the given ReleaseId

### getKieBase

    KieBase getKieBase()

  Returns the defualt KieBase in this KieContainer.

  Throws:
    `a` - RuntimeException if this KieContainer doesn't have any defualt KieBase
  See Also:
    `KieBaseModel.setDefault(boolean)`

### getKieBase

    KieBase getKieBase(String kBaseName)

  Returns the KieBase with the given name in this KieContainer.

  Throws:
    `a` - RuntimeException if this KieContainer doesn't have any KieBase with the given name

### newKieSession

    KieSession newKieSession()

  Creates the defualt KieSession for this KieContainer

  Throws:
    `a` - RuntimeException if this KieContainer doesn't have any defualt KieSession
  See Also:
    `KieSessionModel.setDefault(boolean)`

### newKieSession

    KieSession newKieSession(Environment environment)

  Creates the defualt KieSession for this KieContainer using the given Environment

  Throws:
    `a` - RuntimeException if this KieContainer doesn't have any defualt KieSession
  See Also:
    `KieSessionModel.setDefault(boolean)`

### newKieSession

    KieSession newKieSession(String kSessionName)

  Creates the KieSession with the given name for this KieContainer

  Throws:
    `a` - RuntimeException if this KieContainer doesn't have any KieSession with the given name

### newKieSession

    KieSession newKieSession(String kSessionName,
                             Environment environment)

  Creates the KieSession with the given name for this KieContainer using the given Environment

  Throws:
    `a` - RuntimeException if this KieContainer doesn't have any KieSession with the given name

### newStatelessKieSession

    StatelessKieSession newStatelessKieSession()

  Creates the defualt StatelessKieSession for this KieContainer using the given Environment

  Throws:
    `a` - RuntimeException if this KieContainer doesn't have any defualt StatelessKieSession
  See Also:
    `KieSessionModel.setDefault(boolean)`

### newStatelessKieSession

    StatelessKieSession newStatelessKieSession(String kSessionName)

  Creates the StatelessKieSession with the given name for this KieContainer

  Throws:
    `a` - RuntimeException if this KieContainer doesn't have any StatelessKieSession with the given name

### getClassLoader

    ClassLoader getClassLoader()

  Returns the ClassLoader used by this KieContainer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.